Loading...
Searching...
No Matches
small_vector.hpp File Reference

A constexpr vector implementation with dynamic size at compile time. More...

`#include <array>`
`#include <type_traits>`
`#include <seqan3/core/concept/cereal.hpp>`
`#include <seqan3/core/detail/template_inspection.hpp>`
`#include <seqan3/utility/detail/integer_traits.hpp>`
`#include <seqan3/utility/views/repeat_n.hpp>`
Include dependency graph for small_vector.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::small_vector< value_type_, capacity_ >
| A constexpr vector implementation with dynamic size at compile time. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

Type deduction guides
template<size_t capacity2, typename value_type>
| seqan3::small_vector (value_type const (&array)[capacity2]) -> small_vector< value_type, capacity2 >
| Deducts the size and value type from an built-in array on construction.

## Detailed Description

A constexpr vector implementation with dynamic size at compile time.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me